> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Liquidity

> Get a blink for adding liquidity to a CLMM pool



## OpenAPI

````yaml /openapi/raydium.json get /v0/clmm/{poolId}/add-liquidity
openapi: 3.1.1
info:
  title: Raydium Blinks API
  version: 0.0.1
servers:
  - url: https://raydium.dial.to/api
security: []
paths:
  /v0/clmm/{poolId}/add-liquidity:
    get:
      tags:
        - CLMM
      summary: Add Liquidity
      description: Get a blink for adding liquidity to a CLMM pool
      operationId: raydium.v0.clmm.addLiquidityGetBlink
      parameters:
        - name: poolId
          in: path
          required: true
          schema:
            type: string
            description: The raydium Concentrated Liquidity Pool ID
            default: 8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              const: transaction
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````